Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.framework.exceptions
Class InitializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.archive.crawler.framework.exceptions.InitializationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConfigurationException

    public class InitializationException

extends java.lang.Exception

InitializationExceptions should be thrown when there is a problem with the crawl's initialization, such as file creation problems, etc. In the event that a more specific exception can be thrown (such as a ConfigurationException in the event that there is a configuration-specific problem) it should be.

Author:
  Parker Thompson
See Also:
  Serialized Form

Constructor Summary
`InitializationException()`
`InitializationException(java.lang.String message)`
`InitializationException(java.lang.String message, java.lang.Throwable cause)`
`InitializationException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializationException

    public InitializationException()

### InitializationException

    public InitializationException(java.lang.String message)

Parameters:
  `message` -

### InitializationException

    public InitializationException(java.lang.String message,
                                   java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### InitializationException

    public InitializationException(java.lang.Throwable cause)

Parameters:
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.